PDA

View Full Version : How to get opengl1.2 /opengl1.3,or opengl1.4



guoxusheng
09-13-2002, 05:27 PM
i need to perform 3D textrue using vc++6.0,but i found the version of opengl in VC++ ide is not able to support the 3D textrue functions.could you tell me where i can get or buy opengl1.2,opengl1.3,or opengl1.4.of course ,free software is the best choice.

Korval
09-13-2002, 06:38 PM
First, you card itself may not support it. If it's a GeForce3+ or any form of Radeon, then it does.

If your card does support 3D textures, then you don't need to upgrade anything. But, what you do need to do is treat 3D textures (and any GL 1.2, 1.3, or 1.4 function) as an extension and fetch the function pointer in that way. I'm sure there are some libraries that you can use that will automatically get the post 1.1 functions for you.

*Aaron*
09-14-2002, 07:17 AM
If it's a GeForce3+ or any form of Radeon, then it does.

My TNT2 supported opengl 1.2.1. That's all you need for 3-D texturing.

Asgard
09-14-2002, 08:03 AM
That's true, but using 3D texturing on a TNT2 forces everything to be rendered in software...so there's no real point in using 3D texturing without hardware acceleration.